<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$subservicemid=$_POST['subservicemid'];
	$subservicename=checkvalidstring($_POST['subservicename']);
	$visatmid=$_POST['visatmid'];
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	$eve = "select * from res_subservice_master where subservicename='$subservicename' and subservicemid !='$subservicemid'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "Sub Service Already Inserted.";
		header('Location: subservice.php');
	}
	else
	{

	 $eve1 = "update res_subservice_master set subservicename='$subservicename', visatmid='$visatmid' $tt where subservicemid='$subservicemid'";

	

	if ($conn->query($eve1) === TRUE)

	{		

		$_SESSION['msg'] = "subservice Record Updated succesfully";

		header('Location: subservice.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: subservice.php');

	}
	}

?>